org.apache.ignite.internal.jdbc.thin

## Class QualifiedSQLQuery

- java.lang.Object
- - org.apache.ignite.internal.jdbc.thin.QualifiedSQLQuery

    public final class QualifiedSQLQuery
    extends Object

Qualified sql query: schema + query itself.

### Constructor Summary

Constructors
Constructor and Description
`QualifiedSQLQuery(String schemaName, String sqlQry)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `schemaName()`
`String` `sqlQuery()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QualifiedSQLQuery

    public QualifiedSQLQuery(String schemaName,
                             String sqlQry)

Constructor.

Parameters:
  `schemaName` - Schema name.
  `sqlQry` - Sql Query.

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### sqlQuery

    public String sqlQuery()

Returns:
  Sql query.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020